<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
<h:head>
	<title>FACES</title>
</h:head>
<h:body>
	<h:form>
		<p:breadCrumb>
			<p:menuitem />
			<p:menuitem value="Pagina JSF" action="index.jsf" />
			<p:menuitem value="Pagina PrimeFaces" action="primefaces.jsf" />

		</p:breadCrumb>

	</h:form>



	<h:form id="formulario">
		<p:growl autoUpdate="true" showDetail="true" />
		<h:panelGrid columns="2" cellpadding="5">
			
		
			<p:outputLabel value="Usuario: " />
			<p:outputLabel value="#{telefoneManagedBean.user.nome}" />

			<p:outputLabel value="Número: " />
			<p:inputMask value="#{telefoneManagedBean.tel.numero}"
				mask="(99) 9 9999-9999" required="true"
				requiredMessage="Número Obrigatório" />
				
			<p:outputLabel value="Tipo: " />
			<p:selectOneMenu value="#{telefoneManagedBean.tel.tipo}"
				style="width:190px" required="true"
				requiredMessage="Tipo Obrigatório">
				<f:selectItem itemValue="RECADO" itemLabel="Recado" />
				<f:selectItem itemValue="TRABALHO" itemLabel="TRABALHO" />
				<f:selectItem itemValue="CASA" itemLabel="CASA" />
<p:inputText type="hidden"
				value="#{telefoneManagedBean.tel.id}" />

			</p:selectOneMenu>

		</h:panelGrid>
		<br />
		<br />
		<p:commandButton value="Salvar" ajax="false" resetValues="true" action="#{telefoneManagedBean.salvar}" > 

		</p:commandButton>

</h:form>

	<h:form id="formTelefones">
		<p:dataTable value="#{telefoneManagedBean.user.telefoneUsers}"
			var="fone">

			<p:column width="20">
				<f:facet name="header">Id </f:facet>
				<h:outputLabel value="#{fone.id}" />
			</p:column>

			<p:column width="500">
				<f:facet name="header">Número </f:facet>
				<h:outputLabel value="#{fone.numero}" />
			</p:column>

			<p:column width="200">
				<f:facet name="header">Tipo </f:facet>
				<h:outputLabel value="#{fone.tipo}" />
			</p:column>
			<f:facet name="header">Delete</f:facet>
			<p:column width="50">
				<h:commandLink immediate="true"
					action="#{telefoneManagedBean.removeTelefone}" id="botaoremover">
					<h:graphicImage url="resources/img/rubber.png" width="25"
						height="25" />
					<f:setPropertyActionListener value="#{fone}"
						target="#{telefoneManagedBean.tel}" />
					<f:ajax execute="botaoremover" render="@form :formulario :msg" />
				</h:commandLink>
			</p:column>
		</p:dataTable>



	</h:form>


</h:body>
</html>